Added latest seamonkey-1 for arm which has no keyword for seamonkey-2.
authorLars Wendler <polynomial-c@gentoo.org>
Sun, 4 Jul 2010 20:48:04 +0000 (20:48 +0000)
committerLars Wendler <polynomial-c@gentoo.org>
Sun, 4 Jul 2010 20:48:04 +0000 (20:48 +0000)
Package-Manager: portage-2.2_rc67/cvs/Linux x86_64

www-client/seamonkey/ChangeLog
www-client/seamonkey/Manifest
www-client/seamonkey/seamonkey-1.1.18.ebuild
www-client/seamonkey/seamonkey-1.1.19.ebuild [new file with mode: 0644]

index 7a0a7d6a158c7a971bf36b48500b28fa61874702..ea6457b0e15ef5201482aeee886b5599636ba11c 100644 (file)
@@ -1,6 +1,13 @@
 # ChangeLog for www-client/seamonkey
 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/ChangeLog,v 1.227 2010/07/04 20:12:08 polynomial-c Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/ChangeLog,v 1.228 2010/07/04 20:48:04 polynomial-c Exp $
+
+*seamonkey-1.1.19 (04 Jul 2010)
+
+  04 Jul 2010; Lars Wendler <polynomial-c@gentoo.org>
+  seamonkey-1.1.18.ebuild, +seamonkey-1.1.19.ebuild:
+  Added latest seamonkey-1 for arm which has no keyword for seamonkey-2.
+  Removed x86-fbsd from KEYWORDS.
 
   04 Jul 2010; Lars Wendler <polynomial-c@gentoo.org>
   seamonkey-1.1.18.ebuild:
index 821d1e89c07869fe82033455c1c60c26d57a3704..739b157cbd715c804f72adc82115e7d0cb0d2c07 100644 (file)
@@ -12,6 +12,7 @@ DIST enigmail-0.96.0.tar.gz 1231329 RMD160 62fc1f4d8c5a12ca0b2e49f2aa7ddd28361e7
 DIST enigmail-1.0.1.tar.gz 1201945 RMD160 2abd8e70fcfcd2e75e71a97a5a3c7d1e0c292666 SHA1 334e70723fffc0631dadb6fd4449afffdeafc3f2 SHA256 7bc8541eef483d67246f3d83682ba13263f001fa94b5982c0cfbe54e5bdfd32a
 DIST seamonkey-1.1.18-patches-0.1.tar.bz2 21939 RMD160 8c4b268938d02eef8939e155cc4ee45d7d0db476 SHA1 cda3ad61328babe634711dae99d61d068f5803fc SHA256 9575879c9feff93cf2d4a631a9cc986e43c17acf75226782421fa3b6b9fe037b
 DIST seamonkey-1.1.18.source.tar.bz2 36466846 RMD160 3a49321f5d0a6d897ff590849d8fde3aced4ec4e SHA1 11c154ea7f77f903449f3b8394678e0a2d64e7d2 SHA256 fa7f2b8a94297027cf0151847e52f6dbe031b21599218888c4629f08daec910f
+DIST seamonkey-1.1.19.source.tar.bz2 36272561 RMD160 56a442825bd5438738e6faf0c5e0dd0acf0f723b SHA1 128911b9137936a4daa93d75b2f5a203bbd0d1b3 SHA256 665e0998e7af516826b12d943206de9d9ed6d341503660b72251821fccf1932e
 DIST seamonkey-2.0.3-patches-0.1.tar.bz2 3231 RMD160 a1a0a78180092dac18df4a842883953739023b6b SHA1 a9a949cedeb23205a5f130ac57211b6cd21f6bf4 SHA256 f5f55805ec764fdd077b5d789f2d87e6a216325910b1bf59acfb31cb6abed5b8
 DIST seamonkey-2.0.4-be.xpi 482566 RMD160 ccce44cc54691d3cbe2454173ec22ade91c39a6e SHA1 cdc815e932eda5bf66a0453c542d7d867a56929e SHA256 98d909967f61fe91bb36e058b8581b819efa541cae1fb9b3d3cdfa198c516ebe
 DIST seamonkey-2.0.4-ca.xpi 488163 RMD160 2af2a77164735516ce7372ef07a2e36bf9ef93b5 SHA1 04de874574d2be22ac782d199c38f0f1192aa6af SHA256 d29159478f4cfaf7dbf3331dea4d2ce2839a57fe2154007d1eec6da2b2683845
@@ -60,8 +61,9 @@ DIST seamonkey-2.0.5-sv-SE.xpi 509018 RMD160 494381d6b938edb538c12fa24d14c2809d1
 DIST seamonkey-2.0.5-tr.xpi 493813 RMD160 ec2c3cce914328d543778fbd2f2301c1ebe31645 SHA1 cab85581e35536b552abb5e5672bdbb2bb3eed4a SHA256 fdd7aab7e471d10aababf2cbb25e23a2d28b1ab193772e0964ef7d4597887c2d
 DIST seamonkey-2.0.5-zh-CN.xpi 503564 RMD160 4a4db06660bdec3ad06a6ffc0aea9b399ef3d63f SHA1 e4b4dbec896bbde22ff2c4041618be43b9cb04bd SHA256 b4eb9478217ded23a10dca6d23a3e1d1061065898eacc5625dd749719101c610
 DIST seamonkey-2.0.5.source.tar.bz2 61608877 RMD160 ac8f03efa79ebd1c7f47434e0f8bfb79ff209f25 SHA1 a2be375b89a7d1f641da285f1c8edb81c2831e7b SHA256 84d5fc30bfd38b34c2eace9dacfebe100e67808cc656db85c2cd117c617bd3a3
-EBUILD seamonkey-1.1.18.ebuild 8474 RMD160 642e8b0713bd2aed6438b4a07ff0c3385140f15f SHA1 8cc79b03378d3775d9b481ee7923903b70c66768 SHA256 697447feb0ef9ec2d140739c64e93dc7ca21b3a98680637689ababc730920ab5
+EBUILD seamonkey-1.1.18.ebuild 8464 RMD160 90c31753f7a832bb487e96726a7ba2c1b66ffc8a SHA1 15593cb1d37abb755301a3e81c19659ae465ea27 SHA256 d70557c20a35f1660eff391f313af3d77ab750b1a9d924de3d9904c7a757610c
+EBUILD seamonkey-1.1.19.ebuild 8470 RMD160 d7952ec80590c4d0615e89e2765837ae042ad744 SHA1 d5152d99c2f3f0b3eee6393f7904e464213cbc93 SHA256 9f4af923e1fe2b5f66af3f0f86e5cdc173d544e49de32417c171c7a5ab5c5570
 EBUILD seamonkey-2.0.4-r1.ebuild 8041 RMD160 a7f454a6cda1807fd33b426cf8b19d25a34602d2 SHA1 7bb6338a04d2bb5df605639aae13b2e6d65ce0a4 SHA256 cfcca4d7709b12924221f6feee6d1501861a89aaa5f720accc0cbcc1ee0366c2
 EBUILD seamonkey-2.0.5.ebuild 7993 RMD160 ffc71c6d212af529a6979fc8d8ff03ecbd999192 SHA1 6099a2fc556a7634fad15ebfab7fc4ddf6be07fc SHA256 2cadb401bde780f6b76d8a8129c7bf4a77f98f63a0077fe40666bf25a9a24365
-MISC ChangeLog 28764 RMD160 9ae18c6ba5a08c257966eb73b1bb0c86f280b5bd SHA1 337a0dc5bb32e789be03a4be182fc1d85d546920 SHA256 cc02733720083ffddd7f71231c3f6d8b78d8be44357a78550cbec0389f20950d
+MISC ChangeLog 29012 RMD160 344d8a7ea5044aa2e95df659dd4533ad994792dd SHA1 271849e73f555b298a9c99b25e5392d2dfb7cd51 SHA256 4a2135aca26b63589f95bbf5ffeccaf9d83ea9bc1e93583626cce51d679fda89
 MISC metadata.xml 1460 RMD160 817d48a1d51261cd3ee2c5e453b71b3f379d87bf SHA1 fbaaf2d38c77d98df0a5a703ca6fb699a423f5b0 SHA256 48e24d8264172e410756f50e402142394363e31eb2c9250b9189f3ff63e3666e
index fe049c3001083d5df3a7e2f36b7269405e4b145b..ed1cd7bb3d0c3fe5c07e49878d9eb945eb2da941 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/seamonkey-1.1.18.ebuild,v 1.11 2010/07/04 20:12:08 polynomial-c Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/seamonkey-1.1.18.ebuild,v 1.12 2010/07/04 20:48:04 polynomial-c Exp $
 
 WANT_AUTOCONF="2.1"
 
@@ -15,7 +15,7 @@ SRC_URI="http://releases.mozilla.org/pub/mozilla.org/${PN}/releases/${PV}/${P}.s
        mirror://gentoo/${PATCH}.tar.bz2
        crypt? ( !moznomail? ( http://www.mozilla-enigmail.org/download/source/enigmail-${EMVER}.tar.gz ) )"
 
-KEYWORDS="arm ppc ppc64 ~x86-fbsd"
+KEYWORDS="arm ppc ppc64"
 SLOT="0"
 LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
 IUSE="java ldap mozdevelop moznocompose moznoirc moznomail moznoroaming postgres crypt xforms"
diff --git a/www-client/seamonkey/seamonkey-1.1.19.ebuild b/www-client/seamonkey/seamonkey-1.1.19.ebuild
new file mode 100644 (file)
index 0000000..4e55873
--- /dev/null
@@ -0,0 +1,283 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/seamonkey-1.1.19.ebuild,v 1.1 2010/07/04 20:48:04 polynomial-c Exp $
+
+WANT_AUTOCONF="2.1"
+
+inherit flag-o-matic toolchain-funcs eutils mozcoreconf mozconfig-2 mozilla-launcher makeedit multilib autotools
+
+PATCH="${PN}-1.1.18-patches-0.1"
+EMVER="0.96.0"
+
+DESCRIPTION="Mozilla Application Suite - web browser, email, HTML editor, IRC"
+HOMEPAGE="http://www.seamonkey-project.org/"
+SRC_URI="http://releases.mozilla.org/pub/mozilla.org/${PN}/releases/${PV}/${P}.source.tar.bz2
+       mirror://gentoo/${PATCH}.tar.bz2
+       crypt? ( !moznomail? ( http://www.mozilla-enigmail.org/download/source/enigmail-${EMVER}.tar.gz ) )"
+
+KEYWORDS="~arm"
+SLOT="0"
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
+IUSE="java ldap mozdevelop moznocompose moznoirc moznomail moznoroaming postgres crypt xforms"
+
+RDEPEND="java? ( virtual/jre )
+       >=www-client/mozilla-launcher-1.56
+       >=dev-libs/nss-3.11.5
+       >=dev-libs/nspr-4.6.5-r1
+       crypt? ( !moznomail? ( >=app-crypt/gnupg-1.4 ) )"
+
+DEPEND="${RDEPEND}
+       java? ( >=dev-java/java-config-0.2.0 )
+       dev-lang/perl
+       postgres? ( dev-db/postgresql-server )"
+
+S="${WORKDIR}/mozilla"
+
+# Needed by src_compile() and src_install().
+# Would do in pkg_setup but that loses the export attribute, they
+# become pure shell variables.
+export MOZ_CO_PROJECT=suite
+export BUILD_OFFICIAL=1
+export MOZILLA_OFFICIAL=1
+
+pkg_setup() {
+       if ! built_with_use x11-libs/cairo X; then
+               eerror "Cairo is not built with X useflag."
+               eerror "Please add 'X' to your USE flags, and re-emerge cairo."
+               die "Cairo needs X"
+       fi
+
+       if ! built_with_use --missing true x11-libs/pango X; then
+               eerror "Pango is not built with X useflag."
+               eerror "Please add 'X' to your USE flags, and re-emerge pango."
+               die "Pango needs X"
+       fi
+
+       use moznopango && warn_mozilla_launcher_stub
+}
+
+src_unpack() {
+       unpack ${P}.source.tar.bz2 ${PATCH}.tar.bz2
+
+       # Apply our patches
+       cd "${S}" || die "cd failed"
+       EPATCH_SUFFIX="patch" \
+       EPATCH_FORCE="yes" \
+       epatch "${WORKDIR}"/patch
+
+       # Fix crash without -fno-strict-aliasing, bug 265642
+       epatch "${FILESDIR}/${PN}-1.1.17-fix-fno-strict-aliasing.patch"
+
+       epatch "${FILESDIR}"/${PN}-1.1.18-libpng14.patch
+
+       # Unpack the enigmail plugin
+       if use crypt && ! use moznomail; then
+               cd "${S}"/mailnews/extensions || die
+               unpack enigmail-${EMVER}.tar.gz
+               cd "${S}"/mailnews/extensions/enigmail || die "cd failed"
+               makemake2
+       fi
+
+       # Fix scripts that call for /usr/local/bin/perl #51916
+       ebegin "Patching smime to call perl from /usr/bin"
+       sed -i -e '1s,usr/local/bin,usr/bin,' "${S}"/security/nss/cmd/smimetools/smime
+       eend $? || die "sed failed"
+
+       cd "${S}"
+       eautoreconf
+}
+
+src_compile() {
+       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
+       ####################################
+       #
+       # mozconfig, CFLAGS and CXXFLAGS setup
+       #
+       ####################################
+       mozconfig_init
+       mozconfig_config
+
+       mozconfig_annotate 'gentoo' --enable-canvas
+       mozconfig_annotate 'gentoo' --with-system-nspr
+       mozconfig_annotate 'gentoo' --with-system-nss
+
+       # Bug 60668: Galeon doesn't build without oji enabled, so enable it
+       # regardless of java setting.
+       mozconfig_annotate 'galeon' --enable-oji --enable-mathml
+
+       # Other moz-specific settings
+       mozconfig_use_enable mozdevelop jsd
+       mozconfig_use_enable mozdevelop xpctools
+       mozconfig_use_extension mozdevelop venkman
+
+       if use moznoirc; then
+               mozconfig_annotate '+moznocompose +moznoirc' --enable-extensions=-irc
+       fi
+
+       if use moznoroaming ; then
+               mozconfig_annotate '+moznoroaming' --enable-extensions=-sroaming
+       fi
+
+       if use postgres ; then
+               mozconfig_annotate '+postgres' --enable-extensions=sql
+               export MOZ_ENABLE_PGSQL=1
+               export MOZ_PGSQL_INCLUDES=/usr/include
+               export MOZ_PGSQL_LIBS=/usr/$(get_libdir)
+       fi
+
+       mozconfig_use_enable ldap
+       mozconfig_use_enable ldap ldap-experimental
+       mozconfig_annotate '' --with-default-mozilla-five-home=${MOZILLA_FIVE_HOME}
+       mozconfig_annotate '' --with-user-appdir=.mozilla
+
+       if use moznomail; then
+               mozconfig_annotate "+moznomail" --disable-mailnews
+       fi
+
+       if use moznocompose; then
+               if use moznoirc && use moznomail; then
+                       mozconfig_annotate "+moznocompose" --disable-composer
+               fi
+       fi
+
+       if use xforms; then
+               mozconfig_annotate "+xforms" --enable-extensions=xforms,schema-validation
+       fi
+
+       # Finalize and report settings
+       mozconfig_final
+
+       if [[ $(gcc-major-version) -lt 4 ]]; then
+               append-cxxflags -fno-stack-protector
+       fi
+
+       ####################################
+       #
+       #  Configure and build
+       #
+       ####################################
+
+       CPPFLAGS="${CPPFLAGS} -DARON_WAS_HERE" \
+       CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" \
+       econf || die
+
+       # It would be great if we could pass these in via CPPFLAGS or CFLAGS prior
+       # to econf, but the quotes cause configure to fail.
+       sed -i -e \
+               's|-DARON_WAS_HERE|-DGENTOO_NSPLUGINS_DIR=\\\"/usr/'"$(get_libdir)"'/nsplugins\\\" -DGENTOO_NSBROWSER_PLUGINS_DIR=\\\"/usr/'"$(get_libdir)"'/nsbrowser/plugins\\\"|' \
+               "${S}"/config/autoconf.mk \
+               "${S}"/xpfe/global/buildconfig.html
+
+       # This removes extraneous CFLAGS from the Makefiles to reduce RAM
+       # requirements while compiling
+       edit_makefiles
+
+       emake || die
+
+       ####################################
+       #
+       #  Build Enigmail extension
+       #
+       ####################################
+
+       if use crypt && ! use moznomail; then
+               emake -C "${S}"/mailnews/extensions/enigmail || die "make enigmail failed"
+       fi
+}
+
+src_install() {
+       declare MOZILLA_FIVE_HOME=/usr/$(get_libdir)/${PN}
+
+       # Most of the installation happens here
+       dodir "${MOZILLA_FIVE_HOME}"
+       cp -RL "${S}"/dist/bin/* "${D}"/"${MOZILLA_FIVE_HOME}"/ || die "cp failed"
+
+       # Create directory structure to support portage-installed extensions.
+       # See update_chrome() in mozilla-launcher
+       keepdir ${MOZILLA_FIVE_HOME}/chrome.d
+       keepdir ${MOZILLA_FIVE_HOME}/extensions.d
+       cp "${D}"${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt \
+               "${D}"${MOZILLA_FIVE_HOME}/chrome.d/0_base-chrome.txt
+
+       # Create /usr/bin/seamonkey
+       install_mozilla_launcher_stub seamonkey ${MOZILLA_FIVE_HOME}
+
+       # Install icon and .desktop for menu entry
+       doicon "${FILESDIR}"/icon/${PN}.png
+       domenu "${FILESDIR}"/icon/${PN}.desktop
+
+       # Fix icons to look the same everywhere
+       insinto ${MOZILLA_FIVE_HOME}/icons
+       doins "${S}"/widget/src/gtk/mozicon16.xpm
+       doins "${S}"/widget/src/gtk/mozicon50.xpm
+
+       ####################################
+       #
+       # Install files necessary for applications to build against seamonkey
+       #
+       ####################################
+
+       einfo "Installing includes and idl files..."
+       cp -LfR "${S}"/dist/include "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
+       cp -LfR "${S}"/dist/idl "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
+
+       # Fix mozilla-config and install it
+       exeinto ${MOZILLA_FIVE_HOME}
+       doexe "${S}"/build/unix/${PN}-config
+
+       # Install pkgconfig files
+       insinto /usr/"$(get_libdir)"/pkgconfig
+       doins "${S}"/build/unix/*.pc
+
+       # Install env.d snippet, which isn't necessary for running mozilla, but
+       # might be necessary for programs linked against firefox
+       doenvd "${FILESDIR}"/10${PN}
+       dosed "s|/usr/lib|/usr/$(get_libdir)|" /etc/env.d/10${PN}
+
+       # Install rebuild script since mozilla-bin doesn't support registration yet
+       exeinto ${MOZILLA_FIVE_HOME}
+       doexe "${FILESDIR}"/${PN}-rebuild-databases.pl
+       dosed -e 's|/lib/|/'"$(get_libdir)"'/|g' \
+               ${MOZILLA_FIVE_HOME}/${PN}-rebuild-databases.pl
+
+       # Install docs
+       dodoc "${S}"/{LEGAL,LICENSE}
+
+       # Update Google search plugin to use UTF8 charset ...
+       insinto ${MOZILLA_FIVE_HOME}/searchplugins
+       doins "${FILESDIR}"/google.src
+}
+
+pkg_preinst() {
+       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
+       # Remove entire installed instance to solve various problems,
+       # for example see bug 27719
+       rm -rf "${ROOT}"${MOZILLA_FIVE_HOME}
+}
+
+pkg_postinst() {
+       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
+       # Update the component registry
+       MOZILLA_LIBDIR=${ROOT}${MOZILLA_FIVE_HOME} MOZILLA_LAUNCHER=${PN} \
+               /usr/libexec/mozilla-launcher -register
+
+       # This should be called in the postinst and postrm of all the
+       # mozilla, mozilla-bin, firefox, firefox-bin, thunderbird and
+       # thunderbird-bin ebuilds.
+       update_mozilla_launcher_symlinks
+}
+
+pkg_postrm() {
+       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
+       # Update the component registry
+       if [[ -x ${MOZILLA_FIVE_HOME}/${PN}-bin ]]; then
+               MOZILLA_LIBDIR=${ROOT}${MOZILLA_FIVE_HOME} MOZILLA_LAUNCHER=${PN} \
+                       /usr/libexec/mozilla-launcher -register
+       fi
+
+       update_mozilla_launcher_symlinks
+}